[package]
name = "avam-client"
version = "0.1.0"
edition = "2021"

[dependencies]
tokio = { version = "1.40.0", features = ["full"] }

tray-icon = "0.19"
image = "0.25"
winit = "0.30"
serde = { version = "1", features = ["derive"] }
config = "0.14.0"
toml = "0.8"

directories = "5.0"

anyhow = { version = "1.0" }
thiserror = { version = "1.0" }
winreg = "0.52.0"
interprocess = { version = "2.2.1", features = ["tokio"] }
open = "5.3.0"
clap = { version = "4.5.20", features = ["derive"] }
derive_more = { version = "1.0", features = ["full"] }
uuid = { version = "1.10.0", features = ["fast-rng", "serde", "v4"] }
serde_qs = "0.13.0"
ctrlc = "3.4.5"
reqwest = { version = "0.12.8", default-features = false, features = [
    "rustls-tls",
    "json",
] }
rand = "0.8.5"
sha256 = "1.5.0"
base64 = { version = "0.22.1", default-features = false }

[build-dependencies]
windres = "0.2"
